gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Widget for sequentially stepping through some pages. The widget which ultimately holds all of the druid's pages and information. This is the widget which the application developer then places inside an outer widget, such as a dialog box for ultimate display. Gtk.Container Atk.Implementor GLib.IWrapper System.IDisposable
- Method
  System.Void ``

  This will prepend a into the internal list of pages that the druid has.

  The page to be inserted. Since is just a container, you will need to also call Show() on the page, otherwise the page will not be shown.
- Method
  System.Void `` `` This will insert a page after back_page into the list of internal pages that the druid has. The prior to the page to be inserted. The to insert.

  If back_page is not present in the list or null, page will be prepended to the list.

  Since is just a container, you will need to also call Show() on the page, otherwise the page will not be shown.

- Method
  System.Void `` `` `` `` Sets the sensitivity of druid's control-buttons. true if the back button is sensitive. true if the next button is sensitive. true if the cancel button is sensitive. true if the help button is sensitive. If the variables are true, then the buttons will be clickable. This function is used primarily by the actual GnomeDruidPage widgets.
- Method
  System.Void `` This will append a onto the end of the internal list. The to be appended.

  Since is just a container, you will need to also call Show() on the page, otherwise the page will not be shown.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Druid, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new GnomeDruid widget.
  a new Widget.
  You need to add this druid to a dialog yourself, it is not a dialog.
- Property
  Gnome.DruidPage This will make the currently showing page in the druid. an object of type an object of type must already be in the druid.
- Property
  System.Boolean

  This will make the given the currently showing page in the druid.

  The to be brought to the foreground.

  an object of type

  The page must already be in the druid.

- Property
  System.Boolean Used to specify if the druid is currently showing the last page of the sequence. If true, then the "Next" button is changed to be "Finish". an object of type If set to true, the druid will display "Finish", rather than "Next".
- Event
  System.EventHandler Used to specify if the "Help" button on the druid is visible. If set to true, the "Help" button is shown in the lower left corner of the widget.
- Event
  System.EventHandler Emitted when the "Cancel" button of the druid is clicked.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Run when the druid is canceled. Override this method if you want to add non-standard behaviour to occur when the druid is canceled
- Method
  System.Void Run when the user requests help from the druid's interface. Override this method to offer some help to the user when requested.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  Gtk.Widget `` `` `` Creates a new toplevel window with the title of (which can be ) and a parent of (which also can be ). a a a a The druid will be placed inside this window. The window and the druid will both be shown. When the druid gets destroyed, so will the window that is created here.
- Constructor
  To be added
  a
  a
  a
  a
  To be added
- Constructor
  To be added
  a
  a
  a
  To be added
- Constructor
  To be added
  a
  a
  a
  a
  To be added
- Constructor
  To be added
  a
  a
  a
  a
  a
  To be added